Home page logo
/

fulldisclosure logo Full Disclosure mailing list archives

rPSA-2006-0195-2 kdelibs qt-x11-free
From: rPath Update Announcements <announce-noreply () rpath com>
Date: Thu, 26 Oct 2006 03:35:42 -0400

rPath Security Advisory: 2006-0195-2
Published: 2006-10-18
Updated:
    2006-10-26 Integer overflow now fixed in Qt library
Products: rPath Linux 1
Rating: Major
Exposure Level Classification:
    Indirect User Deterministic Unauthorized Access
Updated Versions:
    kdelibs=/conary.rpath.com () rpl:devel//1/3.4.2-5.12-1
    qt-x11-free=/conary.rpath.com () rpl:devel//1/3.3.4-5.7-1

References:
    http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-4811
    https://issues.rpath.com/browse/RPL-723

Description:
    Previous versions of the qt-x11-free package include Qt libraries
    contain an integer overflow flaw that causes them not to properly
    bound pixmap image data.  This may enable a user-complicit denial of
    service attack (application crash), or possibly unauthorized access
    via arbitrary code execution, in applications which use vulnerable
    versions of the Qt libraries.
    
    Previous versions of the KDE khtml library use Qt in a way that
    allows unchecked pixmap image input to be provided to Qt, triggering
    this integer overflow flaw in older versions of the Qt library.
    
    25 October 2006 Update:  The initial announcement of this update
    included only the KDE khtml library; this update adds the fix for
    the Qt library itself.

_______________________________________________
Full-Disclosure - We believe in it.
Charter: http://lists.grok.org.uk/full-disclosure-charter.html
Hosted and sponsored by Secunia - http://secunia.com/


  By Date           By Thread  

Current thread:
  • rPSA-2006-0195-2 kdelibs qt-x11-free rPath Update Announcements (Oct 26)
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]